Bug 481262 - ath5k, wpa_supplicant don't authenticate on AR5212
ath5k, wpa_supplicant don't authenticate on AR5212
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 02:27 EST by Tony Howard
Modified: 2009-07-14 11:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of wpa_supplicant -dd (78.18 KB, text/plain)
2009-01-23 02:27 EST, Tony Howard
no flags Details
output of dmesg (28.19 KB, text/plain)
2009-01-23 14:02 EST, Tony Howard
no flags Details
output from iwlist ath0 scanning (6.29 KB, text/plain)
2009-01-23 14:03 EST, Tony Howard
no flags Details
output from wpa_supplicant -dddt (23.07 KB, text/plain)
2009-01-23 14:04 EST, Tony Howard
no flags Details
output from lsmod (2.90 KB, text/plain)
2009-01-23 14:05 EST, Tony Howard
no flags Details
output from lspci (11.66 KB, text/plain)
2009-01-23 14:05 EST, Tony Howard
no flags Details

  None (edit)
Description Tony Howard 2009-01-23 02:27:53 EST
Created attachment 329784 [details]
output of wpa_supplicant -dd

Description of problem:

wpa_supplicant fails to connect to my ap.  Here's the general output, which repeats until I control-c it.  I'm using the latest ath5k from fedora 9 on a Thinkpad T42 with a  AR5212 802.11abg NIC (rev 01) wireless card.

Associated with 00:00:00:00:00:00
CTRL-EVENT-SCAN-RESULTS 
Trying to associate with 00:16:01:9a:2e:dc (SSID='Love' freq=2417 MHz)
Associated with 00:16:01:9a:2e:dc
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Associated with 00:16:01:9a:2e:dc
Authentication with 00:16:01:9a:2e:dc timed out.
ioctl[SIOCSIWMLME]: Operation not permitted
Associated with 00:16:01:9a:2e:dc
Authentication with 00:16:01:9a:2e:dc timed out.
ioctl[SIOCSIWMLME]: Operation not permitted
Associated with 00:16:01:9a:2e:dc
CTRL-EVENT-SCAN-RESULTS 
Trying to associate with 00:16:01:9a:2e:dc (SSID='Love' freq=2417 MHz)
Associated with 00:16:01:9a:2e:dc
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys



Version-Release number of selected component (if applicable):
wpa_supplicant-0.6.4-2.fc9.i386
ath5k from kernel-2.6.27.9-73.fc9.i686

How reproducible:

Always happens

Steps to Reproduce:
1. ifconfig ath0 up
2. wpa_supplicant -Dwext -iath0 -c/etc/wpa_supplicant/wpa2

  
Actual results:

ath5k associates, authentication times out, it disconnects, and repeats


Expected results:

successful association, authentication.  I was previously running FC6, with madwifi (I'm not sure if it was the one from FC6), with no problems.  I can also connect with iwlagn on another machine.

Additional info:

Here is the contents of my wpa2 config file:
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel
ap_scan=0

network={
	ssid="Love"
	proto=WPA2
	key_mgmt=WPA-PSK
	pairwise=CCMP TKIP
	group=CCMP TKIP
	psk=<output_from_wpa_passphrase ssid passphrase>
}
Comment 1 Dan Williams 2009-01-23 12:58:07 EST
An interface named "ath0" indicates madwifi, not ath5k, unless you've manually renamed the interface...

But anyway, can you grab the "dmesg" output and attach?

Also, paste in the results of "iwlist ath0 scan" for your AP (feel free to obscure the AP's BSSID).

Next, run the supplicant with "-dddt" to get more debugging output that we can use to diagnose.
Comment 2 Tony Howard 2009-01-23 14:02:09 EST
Created attachment 329870 [details]
output of dmesg

I'm definitely running ath5k.  I thought I read somewhere about fedora changing names from wlan0 to ath0 back to wlan0 from fc8-9-10, but I may have read it wrong.  I just noticed that ath5k seems to think I have a 5213... madwifi and lspci say it's a 5212 - not sure if that matters or not.
Comment 3 Tony Howard 2009-01-23 14:03:18 EST
Created attachment 329871 [details]
output from iwlist ath0 scanning
Comment 4 Tony Howard 2009-01-23 14:04:02 EST
Created attachment 329872 [details]
output from wpa_supplicant -dddt
Comment 5 Tony Howard 2009-01-23 14:05:14 EST
Created attachment 329873 [details]
output from lsmod
Comment 6 Tony Howard 2009-01-23 14:05:49 EST
Created attachment 329874 [details]
output from lspci
Comment 7 Tony Howard 2009-01-24 18:04:35 EST
I just noticed that madwifi fails almost the same way unless I force the driver to mode g with iwpriv ath0 mode 3.  Maybe my router has problems authenticating when the mode isn't set to g only?  Anyway, is there a way to do something similar with ath5k?  iwpriv said no private ioctls.
Comment 8 Tony Howard 2009-01-26 10:03:59 EST
Also, I just remembered that I'd downgraded wpa_supplicant to the one from fc7.  When I updated it to the one from f9, madwifi started failing also.  Maybe the problem is some interaction between the f9 wpa_supplicant and the atheros drivers.  wpa_supplicant from f9 works fine on another laptop running iwlagn.
Comment 9 Bug Zapper 2009-06-09 23:30:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:15:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.